/*
 *  CatScratchDemo.java
 *  Copyright (C) 2000  P. Taylor Goetz <tgoetz@fast.net>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

import catscratch.*;

/** Class to demonstrate the use of the catscratch API
 * @author P. Taylor Goetz
 * @version 1.0
 */
import java.awt.datatransfer.*;
import java.awt.Toolkit;
public class CatScratchDemo{

    public static void main(String[] args)throws Exception{
        //if(args.length == 1){
        //String scanData = args[0];
        Toolkit toolkit = Toolkit.getDefaultToolkit();
        Clipboard clipboard = toolkit.getSystemClipboard();

        java.io.InputStreamReader isr = new java.io.InputStreamReader(System.in);
        java.io.BufferedReader in = new java.io.BufferedReader(isr);
        String line;
        System.out.println();
        System.out.println("Begin scanning barcodes. UPC code will be copied to the clipboard after each scan.");
        System.out.println("Hit CNTRL-C to exit.\n");
        System.out.print("Ready: ");
        while((line = in.readLine()) != null){

            //System.out.println(line);

            // decode the string
            CatScan scan = CSDecoder.decode(line);

            // print out what we found...
            System.out.println("\nDevice ID: " + scan.getID());
            System.out.println("UPC Type: " + scan.getType());
            System.out.println("UPC Code: " + scan.getUpcCode());
            System.out.println();

            // copy the upc code to the clipboard.
            StringSelection clip = new StringSelection(scan.getUpcCode());
            clipboard.setContents(clip, clip);
            System.out.print("Ready: ");
        }
        in.close();
        isr.close();
    }
}