/*
 *  CatScan.java
 *  Copyright (C) 2000  P. Taylor Goetz <tgoetz@fast.net>
 *  
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *  
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *  
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

package catscratch;
/** Class representing the decoded output of the scanning device.
 * @author P. Taylor Goetz
 * @version 1.0
 */
public class CatScan implements java.io.Serializable {

    protected String ccID;
    protected String upcType;
    protected String upcCode;
    
    private CatScan(){}
    
    protected CatScan(String ccID,String upcType,String upcCode){
        this.ccID = ccID;
        this.upcType = upcType;
        this.upcCode = upcCode;
    }
    
    /** Returns the unique id of the scanning device.
     */
    public String getID(){
        return this.ccID;
    }
    /** Returns the barcode type.
     */
    public String getType(){
        return this.upcType;
    }
    /** Returns the upc code associated with the scan.
     */
    public String getUpcCode(){
        return this.upcCode;
    }
    
    public String toString(){
        return (this.getClass().getName() + " [ID=" + this.ccID + ", Type=" + this.upcType + ", UPC Code=" + this.upcCode + "]");
    }
}